// @flow

import * as React from 'react';
import _ from 'lodash';
import {Button} from 'antd';
import LoadingButtonLess from './style.less';

type Props = {
  label: string,
  loading: boolean,
  onClick?: Function,
  type?: string,
  size?: string,
};

class LoadingButton extends React.Component<Props> {
  // TODO: 是否需要增加一个custom className
  render(): ?React.Element<any> {
    let props = _.omit(this.props, ['label']);
    return (
      <div className={LoadingButtonLess.loadingButtonWrapper}>
        <Button {...props} type={this.props.type || 'primary'}>
          {this.props.label}
        </Button>
      </div>
    );
  }
}

export default LoadingButton;
